QFocusEvent(3qt)

NAME
QFocusEvent - Event parameters for widget focus events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QFocusEvent ( int type )
bool gotFocus () const
bool lostFocus () const

DESCRIPTION
The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

See also: QWidget::setFocus() and QWidget::setFocusEnabled().

Examples: table/table.cpp qmag/qmag.cpp

MEMBER FUNCTION DOCUMENTATION

QFocusEvent::QFocusEvent ( int type )
Constructs a focus event object.

The type parameter must be either Event_FocusIn or Event_FocusOut.

bool QFocusEvent::gotFocus () const
Returns TRUE if the widget received the text input focus.

bool QFocusEvent::lostFocus () const
Returns TRUE if the widget lost the text input focus.

SEE ALSO
http://www.troll.no/qt/qfocusevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.